/*
 Copyright (C) 2007 by Ben Anderman <ben@happyspork.com>
 Part of Sporktris http://www.happyspork.com/games
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License.
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY.
 
 See the License.txt file for more details.
 */

#ifndef COMMON_FUNCS_H
#define COMMON_FUNCS_H

#include <SDL.h>
#include <string>

using namespace std;

namespace funcs
{
	SDL_Surface *create_compatible_surface(SDL_Surface* surf, int width, int height);
	string str_int (int n);
	SDL_Surface *load_surf (string img_path, int alpha, const char *name);
	SDL_Surface *load_surf (int width, int height, const char *name);
	void die_surf (SDL_Surface *surf, const char *name);
	void init_ttf (void);
	SDL_Color make_color (string str);
	string expand_path (string path);
}

#endif
